class SndcsEmployeeError(Exception):
    """ Exception raised for Employee objects. """
    pass

class SndcsDepartmentError(Exception):
    """ Exception raised for Departments objects. """
    pass

class SndcsTerminalError(Exception):
    """ Exception raised for Terminal objects. """
    pass

class SndcsLaborHedError(Exception):
    """ Exception raised for LaborHed objects. """
    pass

class SndcsLaborDtlError(Exception):
    """ Exception raised for LaborDtl objects. """
    pass

class SndcsIndirectError(Exception):
    """ Exception raised for Indirect objects. """
    pass

class SndcsOperationError(Exception):
    """ Exception raised for Operation objects. """
    pass

class SndcsStoreConnectionError(Exception):
    """ Exception raised when cannot connect to database store. """
    pass

class SndcsHeartbeatError(Exception):
    """ Exception raised when heartbeat to server flatlines. """
    pass
